Subject: Bug#49: Xinerama patch in nx-libs maybe breaks wine1.4

From: Mike Gabriel <[email-masked]>
Date: Mon, 22 Oct 2012 13:29:42 +0200

reopen #49
reassign #49 x2goagent
retitle #49 Xinerama patch in nx-libs maybe breaks wine1.4
severity #49 minor
thanks

Hi Matthias,

On Mo 22 Okt 2012 13:07:10 CEST Matthias Hellinghausen wrote:

> Then I found out that the LD_LIBRARY_PATH in the x2go Session is set  
> to "/usr/lib/nx/X11/Xinerama:/usr/lib/nx/X11".
>
> When I unset the LD_LIBRARY_PATH or remove  
> "/usr/lib/nx/X11/Xinerama", wine 1.2.3 works again on the  
> LTSP-servers!
>
> (...but it also works with wine version 1.3 and the library path set  
> to Xinerama...)
>
> So there must be a Problem with a Setup of 32 Bit, wine 1.2.3 and  
> Xinerama...!?
>
> Is it possible that the library path was not set within the  
> x2go-session before?  Is there a special reason that the  
> LD_LIBRARY_PATH ist set at all?
>
> thanks in advance.
>
> kind regards
> Matthias

Ahhh... ok... the LD_LIBRARY_PATH indeed has been added (actually, it  
should have been there for  a while, refer to http://bugs.x2go.org/29).

Hmmm... so our xinerama add-on on top of nx-libs breaks Wine 1.4. This  
is not so nice.

Hopefully you can provide more debugging and info.

I have Cc:ed Alex who is the author of the Xinerama patch in nx-libs.

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb